/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: DOMExceptionType.idl,v $
 * $Revision: 1.4 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef __com_sun_star_xml_dom_DOMExceptionType_idl__
#define __com_sun_star_xml_dom_DOMExceptionType_idl__

module com { module sun { module star { module xml { module dom {

enum DOMExceptionType
{
    DOMSTRING_SIZE_ERR,      
    HIERARCHY_REQUEST_ERR,  
    INDEX_SIZE_ERR,        
    INUSE_ATTRIBUTE_ERR,   
    INVALID_ACCESS_ERR,  
    INVALID_CHARACTER_ERR,   
    INVALID_MODIFICATION_ERR,
    INVALID_STATE_ERR,       
    NAMESPACE_ERR,           
    NO_DATA_ALLOWED_ERR,     
    NO_MODIFICATION_ALLOWED_ERR,     
    NOT_FOUND_ERR,           
    NOT_SUPPORTED_ERR,       
    SYNTAX_ERR,              
    WRONG_DOCUMENT_ERR       
};

}; }; }; }; };

#endif
